package wx_user_log

import "time"

// WxUserLog [...]
type WxUserLog struct {
	ID         int       `gorm:"primaryKey;column:id;type:int(11);not null" json:"-"`
	UserID     int       `gorm:"column:user_id;type:int(11)" json:"userId"`
	OpenID     string    `gorm:"column:open_id;type:varchar(255)" json:"openId"`
	UnionID    string    `gorm:"column:union_id;type:varchar(255)" json:"unionId"`
	Mobile     string    `gorm:"column:mobile;type:varchar(50)" json:"mobile"`
	Email      string    `gorm:"column:email;type:varchar(50)" json:"email"`
	Handle     string    `gorm:"column:handle;type:varchar(20)" json:"handle"`
	Remark     string    `gorm:"column:remark;type:varchar(500)" json:"remark"`
	CreateTime time.Time `gorm:"column:create_time;type:datetime" json:"createTime"`
}

// TableName get sql table name.获取数据库表名
func (m *WxUserLog) TableName() string {
	return "wx_user_log"
}

// WxUserLogColumns get sql column name.获取数据库列名
var WxUserLogColumns = struct {
	ID         string
	UserID     string
	OpenID     string
	UnionID    string
	Mobile     string
	Email      string
	Handle     string
	Remark     string
	CreateTime string
}{
	ID:         "id",
	UserID:     "user_id",
	OpenID:     "open_id",
	UnionID:    "union_id",
	Mobile:     "mobile",
	Email:      "email",
	Handle:     "handle",
	Remark:     "remark",
	CreateTime: "create_time",
}
